Bug 999161 - qemu-system-arm: undefined symbol: libssh2_sftp_fsync
qemu-system-arm: undefined symbol: libssh2_sftp_fsync
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-08-20 16:22 EDT by Paul Whalen
Modified: 2013-08-21 04:51 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-21 04:51:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Whalen 2013-08-20 16:22:49 EDT
Description of problem:
When launching qemu-system-arm :

qemu-system-arm: undefined symbol: libssh2_sftp_fsync

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install and use to launch an ARM guest (example command):

sudo qemu-system-arm -machine vexpress-a9 -m 1024 -nographic -net nic -net user -append "console=ttyAMA0,115200n8 rw root=/dev/mmcblk0p3 rootwait physmap.enabled=0" -kernel vmlinuz-3.11.0-0.rc5.git6.1.fc20.armv7hl -initrd initramfs-3.11.0-0.rc5.git6.1.fc20.armv7hl.img -sd Fedora-XFCE-VFAT-armhfp-20-20130819-sda.raw

Actual results:
qemu-system-arm: symbol lookup error: qemu-system-arm: undefined symbol: libssh2_sftp_fsync

Expected results:

Additional info:
Resolved using - libssh2-1.4.3-5.fc20.x86_64 +
Comment 1 Richard W.M. Jones 2013-08-20 16:25:32 EDT
Hmm, I guess I'm to blame (kind of) since I added the
ssh block driver upstream :-)

You say "Resolved using - libssh2...".  Do you mean there's
a missing dependency?
Comment 2 Paul Whalen 2013-08-20 16:49:49 EDT
yes, requires libssh2 >= 1.4.3-5

* Tue Apr 09 2013 Richard W.M. Jones <rjones@redhat.com> 1.4.3-5 - Add three patches from upstream git required for qemu ssh block driver.
Comment 3 Richard W.M. Jones 2013-08-21 04:51:17 EDT
This is fixed in qemu-1.6.0-4.fc21, qemu-1.6.0-4.fc20.

Note You need to log in before you can comment on or make changes to this bug.